Package org.apache.sling.discovery

# Interface InstanceFilter

@ConsumerType public interface InstanceFilter
Used to filter InstanceDescriptions in a TopologyView.

See Also:
  - `TopologyView.findInstances(InstanceFilter)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(InstanceDescription instance)`
Returns true if this InstanceFilter selects the given InstanceDescription.

## Method Details

### accept

boolean accept(InstanceDescription instance)
Returns true if this InstanceFilter selects the given InstanceDescription.

Parameters:
  `instance` - the InstanceDescription for which to decide if this InstanceFilter accepts it or not.
Returns:
  true if this InstanceFilter selects the given InstanceDescription